Retrieve a message▾
Retrieve a message
Fetch one message by its Sendport id or WhatsApp wamid.
Accepts either the Sendport id (msg_…) or the WhatsApp id (wamid.…).
GET
/v1/messages/{id}Path parameters
idstringrequiredmsg_… or wamid.….
curl -X GET https://api.sendport.tech/v1/messages/{id} \
-H "Authorization: Bearer $SENDPORT_KEY"Responses
200OK
{
"object": "message",
"id": "msg_01JZQ3F8X2K7N4B6Y0R9M5TCWA",
"wamid": "wamid.SEJnTTIwMTAwNTU1MDEyM0ZRSUFFUmdT",
"conversation_id": "conv_01JZQ3F8X0QG7T2S4N8V1PZAKD",
"from": "+15550100200",
"to": "+201005550123",
"direction": "outbound",
"type": "template",
"template": { "name": "order_shipped", "language": "en", "category": "UTILITY" },
"status": "delivered",
"pricing": { "category": "utility", "billable": true, "amount": "0.0286", "currency": "USD" },
"created_at": "2026-09-06T09:14:22.114Z"
}404Not found
{
"error": {
"type": "not_found_error",
"code": "resource_not_found",
"message": "No message with id 'msg_00000000000000000000000000'.",
"doc_url": "https://sendport.tech/docs/errors#resource_not_found",
"request_id": "req_71ad3e0c9b2f4816ac53"
}
}401Unauthorized
{
"error": {
"type": "authentication_error",
"code": "missing_api_key",
"message": "No API key provided.",
"doc_url": "https://sendport.tech/docs/errors#missing_api_key",
"request_id": "req_9f3c2a7b41de08c5b2e6"
}
}Try itsandbox